# Uses of Interface
org.eclipse.jface.viewers.IDecoration

Packages that use IDecoration
Package
Description
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.

## Uses of IDecoration in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type IDecoration
Modifier and Type
Method
Description
`void`
PrototypeDecorator.`decorate(Object element, IDecoration decoration)`

## Uses of IDecoration in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type IDecoration
Modifier and Type
Method
Description
`void`
ILightweightLabelDecorator.`decorate(Object element, IDecoration decoration)`
Calculates decorations based on element.